class LoginInvalidUrlException implements Exception {
  @override
  String toString() {
    return "Invalid url";
  }
}

class LoginNoSessionIdException implements Exception {
  @override
  String toString() {
    return "No session id found in url";
  }
}

class LoginUnauthorizedException implements Exception {
  @override
  String toString() {
    return "Unauthorized";
  }
}